#include <stdio.h>
#include <algorithm>
using namespace std;
int main ()
{
	int n,k,c=1,r=0;
	scanf("%i %i",&n,&k);
	int a[n+1],b[n+1];
	for(int i=1;i<=n;i++)
	{
		scanf("%i",&a[i]);
	}
	sort(a+1,a+1+n);
	int j=1,m=1;
	for(int i=1;i<=n;i++)
	{
		if(a[i]!=a[i+1] || i==n)
		{
			if(c>=k)
			{
				b[j]=a[i];
				r++;
				j++;
				m++;
			}
			c=1;
		}
		else if(a[i]==a[i+1])
		{
			c++;
		}
	}
	printf("%i\n",r);
	for(int j=1;j<m;j++)
	{
		printf("%i ",b[j]);
	}
	return 0;
}